XBPS-RINDEX(1)

NAME
xbps-rindex - XBPS utility to manage local binary package repositories

SYNOPSIS
xbps-rindex [OPTIONS] MODE [ARGUMENTS]

DESCRIPTION
The xbps-rindex utility creates, updates and removes obsolete binary packages stored in local repositories.

OPTIONS

-d, --debug
    Enables extra debugging shown to stderr.

-C --hashcheck
    Check not only for file existence but for the correct file hash while cleaning. This flag is only useful with the clean mode.

-f --force
    Forcefully register binary package into the local repository, overwriting existing entry. Or forcefully create a package signature, even if there's an existing one already. This flag is only useful with the add or sign-pkg modes.

-h --help
    Show the help message.

-V --version
    Show the version information.

--signedby string
    This is required to sign a repository, a description of the person signing the repository, i.e name and email.

--privkey key
    Path to the private RSA key to sign the repository. If unset, defaults to ~/.ssh/id_rsa.

MODE

-a, --add /path/to/repository/binpkg.xbps ...
    Registers the binary package into the local repository. The specified binary package is only added to the index if its version is greater than the one currently stored, use -f to forcefully register existing packages. Multiple binary packages can be specified as arguments. Absolute path to the local repository is expected.

-c, --clean /path/to/repository
    Removes obsolete entries found in the local repository. Absolute path to the local repository is expected.

-r, --remove-obsoletes /path/to/repository
    Removes obsolete packages from repository. Packages that are not currently registered in repository's index will be removed (out of date, invalid archives, etc). Absolute path to the local repository is expected.

-s, --sign /path/to/repository
    Initializes a signed repository with your specified RSA key. Note this only adds some metadata to the repository archive to be able to sign packages. If the --privkey argument not set, it defaults to ~/.ssh/id_rsa.

-S, --sign-pkg /path/to/repository/binpkg.xbps ...
    Signs a binary package archive with your specified RSA key. If --privkey argument not set, it defaults to ~/.ssh/id_rsa. If there's an existing signature, it won't be overwritten; use the -f option to force the creation.

ENVIRONMENT

XBPS_ARCH
    Overrides uname(2) machine result with this value. Useful to install packages with a fake architecture.

XBPS_TARGET_ARCH
    Sets the target architecture to this value. This variable differs from XBPS_ARCH in that it allows you to install packages partially, because configuration phase is skipped (the target binaries might not be compatible with the native architecture).

XBPS_PASSPHRASE
    If this is set, it will use this passphrase for the RSA private key when signing a repository. Otherwise it will ask you to enter the passphrase on the terminal.

SEE ALSO
xbps-checkvers(1), xbps-create(1), xbps-dgraph(1), xbps-fbulk(1), xbps-install(1), xbps-pkgdb(1), xbps-query(1), xbps-reconfigure(1), xbps-remove(1), xbps-uchroot(1), xbps-uunshare(1), xbps.d(5)

AUTHORS
Juan Romero Pardines <xtraeme@gmail.com>

BUGS
Probably, but I try to make this not happen. Use it under your own responsibility and enjoy your life.

Report bugs at https://github.com/voidlinux/xbps/issues